readCdfCellIndices {affxparser} | R Documentation

## Reads cell indices of units (probesets) in an Affymetrix CDF file

### Description

Reads cell indices of units (probesets) in an Affymetrix CDF file.

### Usage

    readCdfCellIndices(filename, units=NULL, stratifyBy=c("nothing", "pmmm", "pm", "mm"), verbose=0)

### Arguments

`filename` | The filename of the CDF file.
`units` | An `integer` `vector` of unit indices specifying which units to be read. If `NULL`, all units are read.

`stratifyBy`

A `character` string specifying which and how elements in group fields are returned. If `"nothing"`, elements are returned as is, i.e. as `vector`s. If `"pm"`/`"mm"`, only elements corresponding to perfect-match (PM) / mismatch (MM) probes are returned (as `vector`s). If `"pmmm"`, elements are returned as a matrix where the first row holds elements corresponding to PM probes and the second corresponding to MM probes. Note that in this case, it is assumed that there are equal number of PMs and MMs; if not, an error is generated. Moreover, the PMs and MMs may not even be paired, i.e. there is no guarantee that the two elements in a column corresponds to a PM-MM pair.

`verbose` | An `integer` specifying the verbose level. If 0, the file is parsed quietly. The higher numbers, the more details.

### Value

A named `list` where the names corresponds to the names of the units read. Each unit element of the list is in turn a `list` structure with one element `groups` which in turn is a `list`. Each group element in `groups` is a `list` with a single field named `indices`. Thus, the structure is

         cdf
          +- unit #1
          |   +- "groups"
          |       +- group #1
          |       |   +- "indices"
          |       |  group #2
          |       |   +- "indices"
          |       .
          |       +- group #K
          |           +- "indices"
          +- unit #2
          .
          +- unit #J

This is structure is compatible with what `readCdfUnits`() returns.

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### See Also

`readCdfUnits`().

[Package affxparser version 1.6.2 Index]